Name:           gnote
Version:        0.1.1 
Release:        1%{?dist}
Summary:        Note-taking application
Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://live.gnome.org/Gnote
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnote/0.1/gnote-0.1.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel libxml++-devel libxml2-devel GConf2-devel intltool boost-devel e2fsprogs-devel
Requires:       gtkmm24
Requires:       desktop-file-utils

%description
Gnote is a desktop note-taking application which is simple and easy to use.
It lets you organise your notes intelligently by allowing you to easily link
ideas together with Wiki style interconnects. It is a port of Tomboy to C++ 
and consumes less resources

%prep
%setup -q


%build
%configure --disable-schemas-install
make %{?jobs:-j%jobs} V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""    \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gnote.desktop



%clean
rm -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnote.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnote.schemas >/dev/null;
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi



%files 
%defattr(-,root,root,-)
%doc COPYING README TODO NEWS AUTHORS
%{_bindir}/gnote
%{_mandir}/man1/gnote.1.gz
%{_datadir}/applications/gnote.desktop
%{_datadir}/gnote/
%{_datadir}/icons/hicolor/16x16/apps
%{_datadir}/icons/hicolor/22x22/apps
%{_datadir}/icons/hicolor/24x24/apps
%{_datadir}/icons/hicolor/32x32/apps
%{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/scalable/apps/gnote.svg
%{_sysconfdir}/gconf/schemas/gnote.schemas
%changelog

* Sun Apr 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.1-1
- Initial spec file


